# Gimp.Gradient.prototype.segment_set_left_color

    function segment_set_left_color(segment: Number(gint), color: Gegl.Color): Boolean {
        // Gjs wrapper for gimp_gradient_segment_set_left_color()
    }

Sets the left endpoint color of a segment

Sets the color of the left endpoint the indexed segment of the gradient. The alpha channel of the [class@Gegl.Color] is taken into account. Returns an error when gradient is not editable or index is out of range.

Since 2.2

segment

  The index of a segment within the gradient.

color

  The color to set.

Returns

  TRUE on success.